Decoding_Context Struct Reference

`#include <GeoNetworkingCodec.hh>`

## Public Member Functions

| Decoding_Context ()

## Public Attributes

unsigned char | next_header
unsigned char | header_type
unsigned char | header_sub_type
unsigned char | traffic_class
unsigned int | lifetime
unsigned int | length
std::string | payload

## Constructor & Destructor Documentation

## Decoding_Context()

Decoding_Context::Decoding_Context | ( |  | ) |

inline

## Member Data Documentation

## header_sub_type

unsigned char Decoding_Context::header_sub_type

## header_type

unsigned char Decoding_Context::header_type

## length

unsigned int Decoding_Context::length

## lifetime

unsigned int Decoding_Context::lifetime

## next_header

unsigned char Decoding_Context::next_header

## payload

std::string Decoding_Context::payload

## traffic_class

unsigned char Decoding_Context::traffic_class

The documentation for this struct was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/GeoNetworkingCodec.hh